#
# See the file "LICENSE" for the full license governing this code.
#
# == define: wls_install::utils::orainst
#
#  creates oraInst.loc for oracle products
#
#
##
define wls_install::utils::orainst
(
  Stdlib::Absolutepath $ora_inventory_dir = undef,
  String[1]            $os_group          = undef,
)
{
  case $::kernel {
    'Linux', 'AIX': {
      $oraInstPath        = '/etc'
    }
    'SunOS': {
      $oraInstPath        = '/var/opt/oracle'
      unless ( defined(File[$oraInstPath]) ) {
        file { $oraInstPath:
          ensure => directory,
          before => File["${oraInstPath}/oraInst.loc"],
          mode   => '0755',
        }
      }
    }
    default: {
        fail("Unrecognized operating system ${::kernel}, please use it on a Linux host")
    }
  }

  unless ( defined(File["${oraInstPath}/oraInst.loc"]) ) {
    file { "${oraInstPath}/oraInst.loc":
      ensure  => present,
      content => epp('wls_install/utils/oraInst.loc.epp',{
        'ora_inventory_dir' => $ora_inventory_dir,
        'os_group'          => $os_group,
      }),
      mode    => '0755',
    }
  }
}
